Module | Sequel::SQL::StringMethods
In: | lib/sequel/sql.rb

This module includes the `like` and `ilike` methods used for pattern matching that are defined on objects that can be used in a string context in SQL (`Symbol`, `LiteralString`, `SQL::GenericExpression`).

### Methods

ilike like

### Public Instance methods

ilike(*ces)

Create a `BooleanExpression` case insensitive pattern match of the receiver with the given patterns. See `StringExpression.like`.

      :a.ilike('A%') # "a" ILIKE 'A%'

[Source]

         # File lib/sequel/sql.rb, line 811
    811:       def ilike(*ces)
    812:         StringExpression.like(self, *(ces << {:case_insensitive=>true}))
    813:       end

like(*ces)

Create a `BooleanExpression` case sensitive (if the database supports it) pattern match of the receiver with the given patterns. See `StringExpression.like`.

      :a.like('A%') # "a" LIKE 'A%'

[Source]

         # File lib/sequel/sql.rb, line 819
    819:       def like(*ces)
    820:         StringExpression.like(self, *ces)
    821:       end

[Validate]